.archive {
  padding-block-start: 18px;
  color: #222528;
  font-size: 16px;
  line-height: 1.5;
  padding-bottom: 40px;
}
.archive__container {
  margin-inline: auto;
  width: 100%;
  max-width: 1170px;
}
.archive__body {
  position: relative;
  z-index: 20;
}
.archive__head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  max-width: 967px;
  margin-inline: auto;
  margin-block-end: 48px;
}
.archive__head h1 {
  font-weight: 500;
  font-size: 56px;
  line-height: 1.0715;
}
.archive__head .txt {
  margin-block-start: 16px;
  color: #525252;
}
.archive__head .txt p {
  line-height: inherit;
}

.archive__main {
}

.search__radios {
  display: flex;
  margin-block-end: 64px;
}
.search__radios .facetwp-facet {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-inline: auto;
  margin-bottom: 0;
  gap: 12px;
}
.search__radios .facetwp-radio {
  background-image: none !important;
  background-size: auto;
  margin-bottom: 0;
  padding: 0;

  cursor: pointer;
  text-wrap: nowrap;
  white-space: nowrap;
  border-radius: 128px;
  padding: 11px 23px;
  font-weight: 500;
  line-height: 1.525;
  border: 1px solid #e5e6e8;
  transition:
    color 0.3s ease-in-out,
    border-color 0.3s ease-in-out,
    background-color 0.3s ease-in-out;
}
.search__radios .facetwp-radio .facetwp-display-value {
  padding: 0;
}
.search__radios .facetwp-radio .facetwp-counter {
  display: none;
}
.search__radios .facetwp-radio:hover {
  border-color: #f5f6f8;
  background-color: #f5f6f8;
}
.search__radios .facetwp-radio.checked {
  color: #fff;
  border-color: #2155a9;
  background-color: #2155a9;
}

.archive__cards {
  display: flex;
  flex-wrap: wrap;
  gap: 28px 20px;
}

.card-upcoming {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: calc((100% - 20px * 2) / 3);
  padding: 20px;
  border-radius: 12px;
  background-color: #fff;
  border: 1px solid #e5e6e8;
  transition: box-shadow 0.3s ease-in-out;
}
@media (hover: hover) {
  .card-upcoming:hover {
    box-shadow:
      0 7px 15px 0 rgba(158, 158, 158, 0.1),
      0 28px 28px 0 rgba(158, 158, 158, 0.09),
      0 63px 38px 0 rgba(158, 158, 158, 0.05),
      0 112px 45px 0 rgba(158, 158, 158, 0.01),
      0 176px 49px 0 rgba(158, 158, 158, 0);
  }
}
.card-upcoming__image {
  position: relative;
  border-radius: 8px;
  overflow: hidden;
  min-height: 196px;
  margin-block-end: 24px;
}
.card-upcoming__image .tags {
  position: absolute;
  inset-block-start: 12px;
  inset-inline: 12px;
  z-index: 5;
  display: flex;
  flex-wrap: wrap;
}
.card-upcoming__image .tags li {
  font-weight: 500;
  font-size: 14px;
  line-height: 1.429;
  border-radius: 124px;
  background-color: #fff;
  padding: 6px 12px;
}

.card-upcoming__content {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
}
.card-upcoming__content .tl4 {
  display: block;
  font-weight: 500;
  font-size: 20px;
  line-height: 1.4;
}
.card-upcoming__content .tl4::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 5;
  border-radius: 12px;
}
.card-upcoming__content .meta {
  margin-block-start: auto;
  padding-block-start: 24px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 8px 16px;
  font-size: 14px;
  line-height: 1.715;
}
.card-upcoming__content .meta .readmore {
  display: flex;
  align-items: center;
  gap: 8px;
  font-weight: 500;
  color: #2155a9;
  text-decoration-line: underline;
  text-decoration-color: transparent;
  text-decoration-thickness: 1px;
  text-underline-position: from-font;
  transition: text-decoration-color 0.3s ease-in-out;
}
@media (hover: hover) {
  .card-upcoming:hover .card-upcoming__content .meta .readmore {
    text-decoration-color: inherit;
  }
}
.card-upcoming__content .meta .readmore span {
  position: relative;
  inset-block-start: 2px;
  flex-shrink: 0;
  width: 20px;
  aspect-ratio: 1;
  background-size: 20px 20px;
  background-position: center;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M15.3035 10.5895L15.3039 4.6969H9.41162M15.3039 4.6969L4.69727 15.3035' stroke='%232155A9' stroke-width='1.4' stroke-linecap='round' stroke-linejoin='round' /%3E%3C/svg%3E");
}
.card-upcoming__content .meta .meta__right {
  display: flex;
  flex-wrap: wrap;
  color: #525252;
}
.card-upcoming__content .meta .meta__right > *:not(:first-child) {
  display: flex;
  align-items: center;
}
.card-upcoming__content .meta .meta__right > *:not(:first-child)::before {
  content: "•";
  text-align: center;
  font-weight: 500;
  width: 24px;
  font-size: 20px;
  line-height: 1.2;
  opacity: 0.48;
}

.pagination__wrap .facetwp-facet {
  margin: 0;
  display: flex;
  justify-content: center;
}
.pagination__wrap .facetwp-pager {
  margin-top: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
}
.pagination__wrap .facetwp-pager:empty {
  margin-top: 0;
}
.pagination__wrap .facetwp-page {
  cursor: pointer;
  margin: 0;
  padding: 0;
  display: block;
  text-align: center;
  font-weight: 500;
  color: #222528;
  font-size: 18px;
  line-height: 1.334;
  min-width: 24px;
  transition: color 0.3s ease-in-out;
}
@media (hover: hover) {
  .pagination__wrap .facetwp-page:hover {
    color: #2155a9;
  }
}
.pagination__wrap .facetwp-page.active {
  cursor: pointer;
  font-weight: inherit;
  color: #2155a9;
}
.pagination__wrap .facetwp-page.dots {
  cursor: default;
  color: inherit !important;
}
.pagination__wrap .facetwp-page.prev,
.pagination__wrap .facetwp-page.next {
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 0;
  width: 48px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 1px solid #e5e6e8;
  transition:
    opacity 0.3s ease-in-out,
    border-color 0.3s ease-in-out,
    background-color 0.3s ease-in-out;
}
.pagination__wrap .facetwp-page.prev.isDisabled,
.pagination__wrap .facetwp-page.next.isDisabled {
  cursor: no-drop;
  opacity: 0.6;
}
.pagination__wrap .facetwp-page.prev {
  margin-inline-end: 24px;
}
.pagination__wrap .facetwp-page.next {
  margin-inline-start: 24px;
}
.pagination__wrap .facetwp-page.next::before {
  transform: rotate(180deg);
}
.pagination__wrap .facetwp-page.prev::before,
.pagination__wrap .facetwp-page.next::before {
  content: "";
  width: 24px;
  aspect-ratio: 1;
  background-size: 24px 24px;
  background-position: center;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14 18L8 12L14 6' stroke='%23222528' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' /%3E%3C/svg%3E");
}
@media (hover: hover) {
  .pagination__wrap .facetwp-page.prev:not(.isDisabled):hover,
  .pagination__wrap .facetwp-page.next:not(.isDisabled):hover {
    border-color: #f5f6f8;
    background-color: #f5f6f8;
  }
}

@media screen and (max-width: 990px) {
  .archive {
    padding-block-start: 2px;
  }
  .archive__container {
    padding-inline: 30px;
  }
  .archive__head {
    max-width: 800px;
    margin-block-end: 32px;
  }
  .archive__head h1 {
    font-weight: 500;
    font-size: 28px;
    line-height: 1.143;
  }
  .archive__head .txt {
    font-size: 14px;
    line-height: 1.429;
  }

  .search__radios {
    margin-block-end: 48px;
    margin-inline: -30px;
    overflow-x: auto;
  }
  .search__radios::-webkit-scrollbar {
    display: none;
  }
  .search__radios .facetwp-facet {
    flex-wrap: nowrap;
    justify-content: stretch;
    padding-inline: 30px;
  }
  .search__radios .facetwp-radio {
    padding: 11px 15px;
    font-size: 14px;
    line-height: 1.458;
  }

  .archive__cards {
    gap: 20px;
  }

  .card-upcoming {
    max-width: calc((100% - 20px * 1) / 2);
    padding: 16px;
  }
  .card-upcoming__image {
    padding-block-start: 60%;
  }

  .pagination__wrap .facetwp-pager {
    margin-top: 32px;
    gap: 16px;
  }
  .pagination__wrap .facetwp-page {
    font-size: 16px;
    line-height: 1.5;
  }
  .pagination__wrap .facetwp-page.prev {
    margin-inline-end: 16px;
  }
  .pagination__wrap .facetwp-page.next {
    margin-inline-start: 16px;
  }
}

@media screen and (max-width: 768px) {
  .card-upcoming {
    max-width: 100%;
  }
}
